# ПО "SNMP мониторинг"


# Установка

1. Обновить список репозиториев /etc/apt/sources.list

````
#deb cdrom:[OS Astra Linux 1.7.0 1.7_x86-64 DVD ]/ 1.7_x86-64 contrib main non-free
deb http://download.astralinux.ru/astra/stable/1.7_x86-64/repository-main/ 1.7_x86-64 main contrib non-free
deb http://download.astralinux.ru/astra/stable/1.7_x86-64/repository-update/ 1.7_x86-64 main contrib non-free
deb http://download.astralinux.ru/astra/stable/1.7_x86-64/repository-base/ 1.7_x86-64 main contrib non-free
````

2. Обновить системные пакеты

```sh
sudo apt update && sudo apt upgrade
```

3. Установить дополнительные зависимости для запуска приложения

```sh
sudo apt install qt5-default libqt5sql5-psql postgresql
```

4. Установить дополнительный пакет из архива поставки

```
snmp-mibs-downloader_1.5_all.deb
```

5. Установить пакет приложения из архива поставки

```
snmpmonitor-amd64-1.x.x.deb
```

6. Убедиться, что служба БД postgresql запустилась:

```sh
systemctl status postgresql
```

    
После установки появится каталог /opt/snmpmonitor/
Исполняемый файл /opt/snmpmonitor/bin/SnmpMonitor
Библиотеки приложения расположены в /opt/snmpmonitor/lib/
Настройки приложения расположены в ~/.config/snmpmonitor/config.ini

Перед первым запуском необходимо создать БД для приложения с помощью утилиты psql. Перед этим перейти в каталог /opt/snmpmonitor/database и запустить psql

```sh
sudo -u postgres psql
```
    
далее в консоли psql поочереди выполнить команды

```sh
\i 01-CreateDatabase.sql
\c snmpmonitor
\i 02-ApplyDatabaseSettings.sql
\i 03-FillDatabase.sql
\q
```

7. Запустить приложение с правами суперпользователя
    
```sh
sudo /opt/snmpmonitor/bin/SnmpMonitor
```


